WIPEFS(8)

NUME
wipefs - șterge o semnătură de pe un dispozitiv

REZUMAT

wipefs [opțiuni] dispozitiv...

wipefs [--backup] -o poziție dispozitiv...

wipefs [--backup] -a dispozitiv...

DESCRIERE

wipefs poate șterge semnăturile (șiruri magice) ale sistemului de fișiere, ale raidurilor sau ale tabelelor de partiții de pe dispozitivul specificat pentru a face semnăturile invizibile pentru libblkid. wipefs nu șterge sistemul de fișiere în sine și nici alte date de pe dispozitiv.

Atunci când este utilizat fără nicio opțiune, wipefs listează toate sistemele de fișiere vizibile și pozițiile acestora pe baza semnăturilor de bază. Rezultatele implicite pot fi modificate. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate folosind --output listă-coloane în mediile în care este necesară o ieșire stabilă.

wipefs apelează ioctl-ul BLKRRPART atunci când a șters o semnătură a tabelului de partiții pentru a informa nucleul despre schimbare. ioctl() este apelat ca ultim pas și atunci când toate semnăturile specificate din toate dispozitivele specificate sunt deja șterse. Această caracteristică poate fi utilizată pentru a șterge conținutul dispozitivelor de partiții, precum un tabel de partiții de pe un dispozitiv de disc, de exemplu prin wipefs -a /dev/sdc1 /dev/sdc2 /dev/sdc.

Rețineți că unele sisteme de fișiere și unele tabele de partiții stochează mai multe șiruri magice pe dispozitiv (de exemplu, FAT, ZFS, GPT). Comanda wipefs (începând cu versiunea v2.31) enumeră toate pozițiile în care au fost detectate șiruri magice.

Atunci când se utilizează opțiunea -a, toate șirurile magice care sunt vizibile pentru libblkid(3) sunt șterse. În acest caz, wipefs scanează din nou dispozitivul după fiecare modificare (ștergere) până când nu se găsește niciun șir magic.

Rețineți că, în mod implicit, wipefs nu șterge tabelele de partiții imbricate de pe dispozitive care nu sunt discuri întregi. Pentru aceasta este necesară opțiunea --force.

OPȚIUNI

-a, --all
    Șterge toate semnăturile disponibile. Setul de semnături șterse poate fi restricționat cu opțiunea -t. Când este executată pe un dispozitiv cu întregul disc partiționat, cum ar fi „/dev/sdX”, va șterge doar tabelele de partiții, nu și conținutul partițiilor.

-b, --backup[=director]
    Creează o copie de rezervă a semnăturii în fișierul wipefs-<nume-dispozitiv>-<poziția>.bak în $HOME sau în directorul specificat ca argument opțional. Pentru mai multe detalii, consultați secțiunea EXEMPLE.

-f, --force
    Forțează ștergerea, chiar dacă sistemul de fișiere este montat. Acest lucru este necesar pentru a șterge o semnătură de tabel de partiții pe un dispozitiv bloc.

-J, --json
    Utilizează formatul de ieșire JSON.

--lock[=mod]
    Utilizează o blocare BSD exclusivă pentru dispozitivul sau fișierul pe care îl operează. Argumentul opțional mod poate fi yes, no (sau 1 și 0) sau nonblock. În cazul în care argumentul mod este omis, valoarea implicită este „yes ”. Această opțiune suprascrie variabila de mediu $LOCK_BLOCK_DEVICE. Valoarea implicită este de a nu utiliza nicio blocare, dar este recomandată pentru a evita coliziunile cu udevd sau alte instrumente.

-i, --noheadings
    Nu imprimă o linie de antet.

-O, --output listă
    Specifică ce coloane de ieșire se vor imprima. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

-n, --no-act
    Determină ca totul să fie făcut cu excepția apelului write(2).

-o, --offset poziția
    Specifică locația (în octeți) a semnăturii care trebuie ștearsă de pe dispozitiv. Numărul poziție poate include un prefix „0x”; atunci numărul va fi interpretat ca o valoare hexazecimală. Este posibil să se specifice mai multe opțiuni -o.

    Argumentul poziție poate fi urmat de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”) sau sufixele KB (=1000), MB (=1000*1000), și așa mai departe pentru GB, TB, PB, EB, ZB și YB.

-p, --parsable
    Afișează în format analizabil în loc de format imprimabil. Codifică toate caracterele potențial nesigure dintr-un șir de caractere în valoarea hexazecimală corespunzătoare prefixată cu „\x”.

-q, --quiet
    Suprimă orice mesaj după o ștergere reușită a semnăturii.

-t, --types listă
    Limitează setul de semnături tipărite sau șterse. Se pot specifica mai multe tipuri într-o listă despărțită prin virgule. Lista sau tipurile individuale pot fi prefixate cu „no” pentru a specifica tipurile pentru care nu trebuie să se ia nicio măsură. Pentru mai multe detalii, a se vedea mount(8).

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBBLKID_DEBUG=all
    activează ieșirea de depanare a libblkid(3).

LOCK_BLOCK_DEVICE=<mod>
    utilizează un blocaj BSD exclusiv. Modul este "1" sau "0". A se vedea --lock pentru mai multe detalii.

EXEMPLE

wipefs /dev/sda*
    Afișează informații despre sda și despre toate partițiile de pe sda.

wipefs --all --backup /dev/sdb
    Șterge toate semnăturile de pe dispozitivul /dev/sdb și creează un fișier de copie de rezervă a semnăturilor ~/wipefs-sdb-<offset>.bak pentru fiecare semnătură.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$((0x00000438)) bs=1 conv=notrunc
    Restaurează o semnătură ext2 din fișierul de rezervă ~/wipefs-sdb-0x00000438.bak.

AUTORI

CONSULTAȚI ȘI

blkid(8), findfs(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda wipefs face parte din pachetul util-linux care poate fi descărcat de la